/****************************************************************************************************

		MCStaticArray.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	pascalc
		Date:	7/19/2005

****************************************************************************************************/

#ifndef __MCStaticArray__
#define __MCStaticArray__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCArray.h"

template<class T, int elemSpace> class TMCStaticArray : public TMCArray<T>
{
public:
	TMCStaticArray();
	TMCStaticArray(int elemCount);
protected:
	T fArray[elemSpace];
};

template<class T, int elemSpace> TMCStaticArray<T,elemSpace>::TMCStaticArray()
	: TMCArray<T>((T*)&fArray, false, 0, elemSpace)
{
}

template<class T, int elemSpace> TMCStaticArray<T,elemSpace>::TMCStaticArray(int elemCount)
	: TMCArray<T>((T*)&fArray, false, elemCount, elemSpace)
{
}

#endif
